Google-Weiterleitung auflösen
Die Seite, auf die das redirectLink eines Google-Ergebnisses führt.
POST
/
v1
/
google
/
goto
Resolve a Google redirect
curl --request POST \
--url https://api.querying.ai/v1/google/goto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx"
}
'import requests
url = "https://api.querying.ai/v1/google/goto"
payload = { "url": "https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx'
})
};
fetch('https://api.querying.ai/v1/google/goto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/google/goto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/google/goto"
payload := strings.NewReader("{\n \"url\": \"https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.querying.ai/v1/google/goto")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/google/goto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"url": "https://www.rtings.com/headphones/reviews/best/wireless-bluetooth-earbuds-under-100"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "GOOGLE_REDIRECT_UNRESOLVED",
"message": "goto did not answer a redirect; retry later",
"timestamp": "2026-11-09T00:00:00.000Z"
}
}Ein Google-Ergebnis, dessen Weiterleitung nicht rechtzeitig gelesen wurde, kommt mit leerem
link und der Weiterleitung in redirectLink. Senden Sie dieses redirectLink hier als url, um die Zielseite zu erhalten. Ein Link pro Anfrage, ohne Credit-Kosten. POST /v1/monitor/google/goto beantwortet dieselbe Anfrage, ein für den Cloro-Pfad geschriebener Client funktioniert also unverändert.
502 GOOGLE_REDIRECT_UNRESOLVED bedeutet, dass Google die Weiterleitung noch nicht beantwortet hat. Versuchen Sie es nach den Sekunden in Retry-After erneut, wenn die Antwort den Header enthält, sonst etwas später.Autorisierungen
Body
application/json
⌘I
Resolve a Google redirect
curl --request POST \
--url https://api.querying.ai/v1/google/goto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx"
}
'import requests
url = "https://api.querying.ai/v1/google/goto"
payload = { "url": "https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx'
})
};
fetch('https://api.querying.ai/v1/google/goto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/google/goto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/google/goto"
payload := strings.NewReader("{\n \"url\": \"https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.querying.ai/v1/google/goto")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/google/goto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://www.google.com/goto?url=CAESjgEB6zswFXseyYyAhWD5OBf1yt0u8gIlzwuA5qsqIm3tBmKqh3hpxRZdyK_1IDcHZx\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"url": "https://www.rtings.com/headphones/reviews/best/wireless-bluetooth-earbuds-under-100"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}{
"success": false,
"error": {
"code": "GOOGLE_REDIRECT_UNRESOLVED",
"message": "goto did not answer a redirect; retry later",
"timestamp": "2026-11-09T00:00:00.000Z"
}
}